FreeBSD : php5 -- Multiple security issues (437a68cf-b752-11de-b6eb-00e0815b8da8)

High Nessus Plugin ID 42094


The remote FreeBSD host is missing a security-related update.


Vendor reports

Security Enhancements and Fixes in PHP 5.2.11 : Fixed certificate validation inside php_openssl_apply_verification_policy. Fixed sanity check for the color index in imagecolortransparent. Added missing sanity checks around exif processing. Fixed bug 44683 popen crashes when an invalid mode is passed.


Update the affected package.

See Also

Plugin Details

Severity: High

ID: 42094

File Name: freebsd_pkg_437a68cfb75211deb6eb00e0815b8da8.nasl

Version: $Revision: 1.7 $

Type: local

Published: 2009/10/13

Modified: 2013/06/21

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:php5, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2009/10/12

Vulnerability Publication Date: 2009/09/17

Reference Information

CVE: CVE-2009-3291, CVE-2009-3292, CVE-2009-3293

CWE: 20